#shader vertex
#version 150

in vec3 a_Position;
in vec2 a_TexCoord;

out vec2 v_texCoord;
out vec4 v_Color;

uniform mat4 u_Transform;
uniform mat4 u_ViewProjection;
uniform vec2 u_texPos;
uniform vec2 u_texScale;

void main() {
  gl_Position = u_ViewProjection * u_Transform * vec4(a_Position, 1.0f);
  v_texCoord = vec2(u_texPos.x + (a_TexCoord.x * u_texScale.x), u_texPos.y + (a_TexCoord.y * u_texScale.y));
}

#shader fragment
#version 150

in vec2 v_texCoord;
//in vec2 v_Color;

uniform sampler2D texId;
uniform vec4 u_Color;

void main() {
  gl_FragColor = texture(texId, v_texCoord);
}
